# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Private Attributes | List of all members
DBus::PropertyAdaptor< T > Class Template Reference

`#include <property.h>`

## Public Member Functions

| PropertyAdaptor ()
void | bind (PropertyData &data)
T | operator() (void) const
PropertyAdaptor & | operator= (const T &t)

## Private Attributes

PropertyData * | _data

## Detailed Description

template<typename T>
class DBus::PropertyAdaptor< T >

Definition at line 36 of file property.h.

## Constructor & Destructor Documentation

## ◆ PropertyAdaptor()

template<typename T>

DBus::PropertyAdaptor< T >::PropertyAdaptor | ( |  | ) |

inline

Definition at line 40 of file property.h.

References _data.

Referenced by operator=().

## Member Function Documentation

## ◆ bind()

template<typename T>

void DBus::PropertyAdaptor< T >::bind | ( | PropertyData & | data | ) |

inline

Definition at line 43 of file property.h.

References _data.

## ◆ operator()()

template<typename T>

T DBus::PropertyAdaptor< T >::operator() | ( | void |  | ) | const

inline

Definition at line 48 of file property.h.

References _data.

## ◆ operator=()

template<typename T>

PropertyAdaptor & DBus::PropertyAdaptor< T >::operator= | ( | const T & | t | ) |

inline

Definition at line 53 of file property.h.

References _data, and PropertyAdaptor().

## Member Data Documentation

## ◆ _data

template<typename T>

PropertyData* DBus::PropertyAdaptor< T >::_data

private

Definition at line 63 of file property.h.

Referenced by bind(), operator()(), operator=(), and PropertyAdaptor().

The documentation for this class was generated from the following file:

- property.h